/* Qaquarelle
 * Copyright (C) 2009 Valeriy Fedotov <valeriy.fedotov@gmail.com>
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this software; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef NARROWDOCKWIDGET_H
#define NARROWDOCKWIDGET_H

#include <QDockWidget>

/**
  * Class for narrow tool panel. To make tool panel narrow, standard titlebar widget
  * is substituted with custom one.
  */
class NarrowDockWidget : public QDockWidget
{
public:
    NarrowDockWidget( QWidget * parent = 0, Qt::WindowFlags flags = 0 );
    ~NarrowDockWidget();
private:
    QWidget *titleBar;
};

#endif // NARROWDOCKWIDGET_H
